This project has moved. For the latest updates, please go here.
1

Closed

Microsoft.Owin package does not support .NET Core

description

The Microsoft.Owin and Owin NuGet packages do not support .NET Core, being targeted at .NET 4.5 and .NET 4 respectively. Can we expect these packages to be updated anytime soon?

It would be nice to have the abstractions provided in Microsoft.Owin when writing middleware for ASP.NET 5 projects targeting .NET Core rather than relying on dictionaries and magic strings
Closed Mar 2 at 9:41 PM by mgirgin

comments

Tratcher wrote Nov 16, 2015 at 4:38 PM

There are not currently any plans to enable .NET Core support for any of the Katana projects. Most of them have already been replaced by Asp.Net 5 components. Microsoft.Owin hasn't been directly replaced but it should readily work for you on .NET Core if you want to copy the sources.